#include <inti/main.h>
#include <inti/gtk/window.h>
#include <inti/gtk/colorselection.h>
#include <inti/gtk/drawingarea.h>
#include <inti/gdk/color.h>

using namespace Inti;

class ColorSelectionWindow : public Gtk::Window
{
	Gdk::Color color;
	Gtk::DrawingArea *area;

protected:
	bool on_drawing_area_event(GdkEvent *event);
	void on_color_changed(Gtk::ColorSelection *colorsel);

public:
	ColorSelectionWindow();
	virtual ~ColorSelectionWindow();
};

